Bug 19975 - who FROM field missing
Summary: who FROM field missing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-29 01:48 UTC by Viraj Alankar
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 13:23:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Viraj Alankar 2000-10-29 01:48:53 UTC
The output of who shows the FROM field of the user blank.

Comment 1 Daniel Roesen 2000-10-31 13:23:54 UTC
Confirmed. It shows the FROM location when using the -l switch, though.

Comment 2 Jeff Johnson 2001-01-06 19:41:45 UTC
Add -l if you want to see the FROM field. I'm loathe to change the default
behavior of existing
commands when there are a adequate workarounds. Here's a bash alias for example:
	alias who="/usr/bin/who -l"

Comment 3 Daniel Roesen 2001-01-06 21:36:23 UTC
RH 6.0 who(1) shows FROM location.
RH 6.2 who(1) does not.

From man who:
  -l, --lookup      attempt to canonicalize hostnames via DNS

So "-l" is not a "show FROM field" switch.

I could bet this is a bug in newer who(1) versions.


Note You need to log in before you can comment on or make changes to this bug.